Page MenuHomePhabricator

[mlir] add missing pessimistic setting
ClosedPublic

Authored by qingyunqu on Aug 9 2022, 3:13 AM.

Details

Summary

This is updated on https://reviews.llvm.org/D127139, to mark op with region as pessimistic.

Diff Detail

Event Timeline

qingyunqu created this revision.Aug 9 2022, 3:13 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 9 2022, 3:13 AM
qingyunqu requested review of this revision.Aug 9 2022, 3:13 AM

Matches the comment and what was there before (https://github.com/llvm/llvm-project/blob/2c384c37727660f11f63fda461210d1a6f5d2afe/mlir/lib/Transforms/SCCP.cpp#L84). Seems SCCP has some missing test coverage.

Do you have a test case that triggers for this one?

jpienaar accepted this revision.Aug 9 2022, 6:49 AM
This revision is now accepted and ready to land.Aug 9 2022, 6:49 AM

Matches the comment and what was there before (https://github.com/llvm/llvm-project/blob/2c384c37727660f11f63fda461210d1a6f5d2afe/mlir/lib/Transforms/SCCP.cpp#L84). Seems SCCP has some missing test coverage.

Do you have a test case that triggers for this one?

I trigger this when working on mhlo.reduce op. But I think I could create a test like https://reviews.llvm.org/D130453

Matches the comment and what was there before (https://github.com/llvm/llvm-project/blob/2c384c37727660f11f63fda461210d1a6f5d2afe/mlir/lib/Transforms/SCCP.cpp#L84). Seems SCCP has some missing test coverage.

Do you have a test case that triggers for this one?

I trigger this when working on mhlo.reduce op. But I think I could create a test like https://reviews.llvm.org/D130453

Thanks that would be great.

qingyunqu updated this revision to Diff 452580.Aug 14 2022, 7:57 PM

Matches the comment and what was there before (https://github.com/llvm/llvm-project/blob/2c384c37727660f11f63fda461210d1a6f5d2afe/mlir/lib/Transforms/SCCP.cpp#L84). Seems SCCP has some missing test coverage.

Do you have a test case that triggers for this one?

I trigger this when working on mhlo.reduce op. But I think I could create a test like https://reviews.llvm.org/D130453

Thanks that would be great.

Sorry for delay, I have added the test now.

jpienaar accepted this revision.Aug 16 2022, 3:02 PM

Thanks, looks good.

This revision was automatically updated to reflect the committed changes.